# opentl::core::cvdata::PointCloud3D Class Reference

Class to store 3D points gained from Range Finders, Depth Cameras like the Videre STOC or from triangulation. More...

Inherits opentl::core::cvdata::VisualFeatures.

List of all members.

## Public Member Functions
void | addCloudPoint (const double &x, const double &y, const double &z)
void | addImageCorrespondance (const double &x, const double &y)
virtual PointCloud3D * | clone () const
| Creates new class instance.
int | dimension () const
std::vector < opentl::math::Vector4 > * | getCloud ()
opentl::math::Vector4 | getCloudPoint (std::size_t &p) const
std::vector < opentl::math::Vector2 > * | getImageCorrespondances ()
opentl::math::Vector2 | getImagePoint (std::size_t &p) const
PointCloud3D & | operator= (const opentl::core::cvdata::PointCloud3D &other)
| PointCloud3D ()
void | removeAllPoints ()
void | resizeCloud (std::size_t s)
void | resizeImageCorrespondance (std::size_t s)
void | setCloudPoint (const std::size_t &p, const double &x, const double &y, const double &z)
void | setImageCorrespondance (const std::size_t &p, const double &x, const double &y)
virtual | ~PointCloud3D ()

## Detailed Description

Class to store 3D points gained from Range Finders, Depth Cameras like the Videre STOC or from triangulation.

Author:
  lenz@in.tum.de

## Constructor & Destructor Documentation

opentl::core::cvdata::PointCloud3D::PointCloud3D | ( |  | ) |

virtual opentl::core::cvdata::PointCloud3D::~PointCloud3D | ( |  | ) | `[virtual]`

## Member Function Documentation

void opentl::core::cvdata::PointCloud3D::addCloudPoint | ( | const double & | x,
|  | const double & | y,
|  | const double & | z |
| ) |  |  |

void opentl::core::cvdata::PointCloud3D::addImageCorrespondance | ( | const double & | x,
|  | const double & | y |
| ) |  |  |

virtual PointCloud3D* opentl::core::cvdata::PointCloud3D::clone | ( |  | ) | const`[virtual]`

Creates new class instance.

int opentl::core::cvdata::PointCloud3D::dimension | ( |  | ) | const

std::vector<opentl::math::Vector4>* opentl::core::cvdata::PointCloud3D::getCloud | ( |  | ) |

opentl::math::Vector4 opentl::core::cvdata::PointCloud3D::getCloudPoint | ( | std::size_t & | p | ) | const

std::vector<opentl::math::Vector2>* opentl::core::cvdata::PointCloud3D::getImageCorrespondances | ( |  | ) |

opentl::math::Vector2 opentl::core::cvdata::PointCloud3D::getImagePoint | ( | std::size_t & | p | ) | const

PointCloud3D& opentl::core::cvdata::PointCloud3D::operator= | ( | const opentl::core::cvdata::PointCloud3D & | other | ) |

void opentl::core::cvdata::PointCloud3D::removeAllPoints | ( |  | ) |

void opentl::core::cvdata::PointCloud3D::resizeCloud | ( | std::size_t | s | ) |

void opentl::core::cvdata::PointCloud3D::resizeImageCorrespondance | ( | std::size_t | s | ) |

void opentl::core::cvdata::PointCloud3D::setCloudPoint | ( | const std::size_t & | p,
|  | const double & | x,
|  | const double & | y,
|  | const double & | z |
| ) |  |  |

void opentl::core::cvdata::PointCloud3D::setImageCorrespondance | ( | const std::size_t & | p,
|  | const double & | x,
|  | const double & | y |
| ) |  |  |